#!c:/Programs/Python/pythonw.exe

import cgi
import cgitb; cgitb.enable()
from sys import exit

from scheme import parse, ParsingError
from bl import create_blocks, NoSettingsError


def main():
    print "Content-type: text/html; charset=Windows-1251\n\n"

    try:
        h = open("content/index.scheme", "r")
    except IOError:
        print "<html><h1>No index.scheme</h1></html>"
        return
    else:
        scheme = h.read()
        h.close()

    form = cgi.FieldStorage()

    try:
        blocks = create_blocks(form)
    except NoSettingsError:
        print "<html><h1>No settings</h1></html>"
        return

    try:
        parse(scheme, blocks)
    except ParsingError:
        print "<html><h1>Can't parse index.scheme</h1></html>"
        return


main()
